Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network58.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
58.0.0.0
Broadcast address
58.255.255.255
First usable
58.0.0.1
Last usable
58.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 3A000000 · Integer 973078528 to 989855743
Reverse DNS zone
58.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111010..00000000.00000000.0000000058.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00111010..00000000.00000000.0000000058.0.0.0
Broadcast00111010..11111111.11111111.1111111158.255.255.255
Split into smaller subnets/16

58.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
158.0.0.0/1658.0.0.1 to 58.0.255.25458.0.255.25565,534
258.1.0.0/1658.1.0.1 to 58.1.255.25458.1.255.25565,534
358.2.0.0/1658.2.0.1 to 58.2.255.25458.2.255.25565,534
458.3.0.0/1658.3.0.1 to 58.3.255.25458.3.255.25565,534
558.4.0.0/1658.4.0.1 to 58.4.255.25458.4.255.25565,534
658.5.0.0/1658.5.0.1 to 58.5.255.25458.5.255.25565,534
758.6.0.0/1658.6.0.1 to 58.6.255.25458.6.255.25565,534
858.7.0.0/1658.7.0.1 to 58.7.255.25458.7.255.25565,534
958.8.0.0/1658.8.0.1 to 58.8.255.25458.8.255.25565,534
1058.9.0.0/1658.9.0.1 to 58.9.255.25458.9.255.25565,534
1158.10.0.0/1658.10.0.1 to 58.10.255.25458.10.255.25565,534
1258.11.0.0/1658.11.0.1 to 58.11.255.25458.11.255.25565,534
1358.12.0.0/1658.12.0.1 to 58.12.255.25458.12.255.25565,534
1458.13.0.0/1658.13.0.1 to 58.13.255.25458.13.255.25565,534
1558.14.0.0/1658.14.0.1 to 58.14.255.25458.14.255.25565,534
1658.15.0.0/1658.15.0.1 to 58.15.255.25458.15.255.25565,534
1758.16.0.0/1658.16.0.1 to 58.16.255.25458.16.255.25565,534
1858.17.0.0/1658.17.0.1 to 58.17.255.25458.17.255.25565,534
1958.18.0.0/1658.18.0.1 to 58.18.255.25458.18.255.25565,534
2058.19.0.0/1658.19.0.1 to 58.19.255.25458.19.255.25565,534
2158.20.0.0/1658.20.0.1 to 58.20.255.25458.20.255.25565,534
2258.21.0.0/1658.21.0.1 to 58.21.255.25458.21.255.25565,534
2358.22.0.0/1658.22.0.1 to 58.22.255.25458.22.255.25565,534
2458.23.0.0/1658.23.0.1 to 58.23.255.25458.23.255.25565,534
2558.24.0.0/1658.24.0.1 to 58.24.255.25458.24.255.25565,534
2658.25.0.0/1658.25.0.1 to 58.25.255.25458.25.255.25565,534
2758.26.0.0/1658.26.0.1 to 58.26.255.25458.26.255.25565,534
2858.27.0.0/1658.27.0.1 to 58.27.255.25458.27.255.25565,534
2958.28.0.0/1658.28.0.1 to 58.28.255.25458.28.255.25565,534
3058.29.0.0/1658.29.0.1 to 58.29.255.25458.29.255.25565,534
3158.30.0.0/1658.30.0.1 to 58.30.255.25458.30.255.25565,534
3258.31.0.0/1658.31.0.1 to 58.31.255.25458.31.255.25565,534
3358.32.0.0/1658.32.0.1 to 58.32.255.25458.32.255.25565,534
3458.33.0.0/1658.33.0.1 to 58.33.255.25458.33.255.25565,534
3558.34.0.0/1658.34.0.1 to 58.34.255.25458.34.255.25565,534
3658.35.0.0/1658.35.0.1 to 58.35.255.25458.35.255.25565,534
3758.36.0.0/1658.36.0.1 to 58.36.255.25458.36.255.25565,534
3858.37.0.0/1658.37.0.1 to 58.37.255.25458.37.255.25565,534
3958.38.0.0/1658.38.0.1 to 58.38.255.25458.38.255.25565,534
4058.39.0.0/1658.39.0.1 to 58.39.255.25458.39.255.25565,534
4158.40.0.0/1658.40.0.1 to 58.40.255.25458.40.255.25565,534
4258.41.0.0/1658.41.0.1 to 58.41.255.25458.41.255.25565,534
4358.42.0.0/1658.42.0.1 to 58.42.255.25458.42.255.25565,534
4458.43.0.0/1658.43.0.1 to 58.43.255.25458.43.255.25565,534
4558.44.0.0/1658.44.0.1 to 58.44.255.25458.44.255.25565,534
4658.45.0.0/1658.45.0.1 to 58.45.255.25458.45.255.25565,534
4758.46.0.0/1658.46.0.1 to 58.46.255.25458.46.255.25565,534
4858.47.0.0/1658.47.0.1 to 58.47.255.25458.47.255.25565,534
4958.48.0.0/1658.48.0.1 to 58.48.255.25458.48.255.25565,534
5058.49.0.0/1658.49.0.1 to 58.49.255.25458.49.255.25565,534
5158.50.0.0/1658.50.0.1 to 58.50.255.25458.50.255.25565,534
5258.51.0.0/1658.51.0.1 to 58.51.255.25458.51.255.25565,534
5358.52.0.0/1658.52.0.1 to 58.52.255.25458.52.255.25565,534
5458.53.0.0/1658.53.0.1 to 58.53.255.25458.53.255.25565,534
5558.54.0.0/1658.54.0.1 to 58.54.255.25458.54.255.25565,534
5658.55.0.0/1658.55.0.1 to 58.55.255.25458.55.255.25565,534
5758.56.0.0/1658.56.0.1 to 58.56.255.25458.56.255.25565,534
5858.57.0.0/1658.57.0.1 to 58.57.255.25458.57.255.25565,534
5958.58.0.0/1658.58.0.1 to 58.58.255.25458.58.255.25565,534
6058.59.0.0/1658.59.0.1 to 58.59.255.25458.59.255.25565,534
6158.60.0.0/1658.60.0.1 to 58.60.255.25458.60.255.25565,534
6258.61.0.0/1658.61.0.1 to 58.61.255.25458.61.255.25565,534
6358.62.0.0/1658.62.0.1 to 58.62.255.25458.62.255.25565,534
6458.63.0.0/1658.63.0.1 to 58.63.255.25458.63.255.25565,534
6558.64.0.0/1658.64.0.1 to 58.64.255.25458.64.255.25565,534
6658.65.0.0/1658.65.0.1 to 58.65.255.25458.65.255.25565,534
6758.66.0.0/1658.66.0.1 to 58.66.255.25458.66.255.25565,534
6858.67.0.0/1658.67.0.1 to 58.67.255.25458.67.255.25565,534
6958.68.0.0/1658.68.0.1 to 58.68.255.25458.68.255.25565,534
7058.69.0.0/1658.69.0.1 to 58.69.255.25458.69.255.25565,534
7158.70.0.0/1658.70.0.1 to 58.70.255.25458.70.255.25565,534
7258.71.0.0/1658.71.0.1 to 58.71.255.25458.71.255.25565,534
7358.72.0.0/1658.72.0.1 to 58.72.255.25458.72.255.25565,534
7458.73.0.0/1658.73.0.1 to 58.73.255.25458.73.255.25565,534
7558.74.0.0/1658.74.0.1 to 58.74.255.25458.74.255.25565,534
7658.75.0.0/1658.75.0.1 to 58.75.255.25458.75.255.25565,534
7758.76.0.0/1658.76.0.1 to 58.76.255.25458.76.255.25565,534
7858.77.0.0/1658.77.0.1 to 58.77.255.25458.77.255.25565,534
7958.78.0.0/1658.78.0.1 to 58.78.255.25458.78.255.25565,534
8058.79.0.0/1658.79.0.1 to 58.79.255.25458.79.255.25565,534
8158.80.0.0/1658.80.0.1 to 58.80.255.25458.80.255.25565,534
8258.81.0.0/1658.81.0.1 to 58.81.255.25458.81.255.25565,534
8358.82.0.0/1658.82.0.1 to 58.82.255.25458.82.255.25565,534
8458.83.0.0/1658.83.0.1 to 58.83.255.25458.83.255.25565,534
8558.84.0.0/1658.84.0.1 to 58.84.255.25458.84.255.25565,534
8658.85.0.0/1658.85.0.1 to 58.85.255.25458.85.255.25565,534
8758.86.0.0/1658.86.0.1 to 58.86.255.25458.86.255.25565,534
8858.87.0.0/1658.87.0.1 to 58.87.255.25458.87.255.25565,534
8958.88.0.0/1658.88.0.1 to 58.88.255.25458.88.255.25565,534
9058.89.0.0/1658.89.0.1 to 58.89.255.25458.89.255.25565,534
9158.90.0.0/1658.90.0.1 to 58.90.255.25458.90.255.25565,534
9258.91.0.0/1658.91.0.1 to 58.91.255.25458.91.255.25565,534
9358.92.0.0/1658.92.0.1 to 58.92.255.25458.92.255.25565,534
9458.93.0.0/1658.93.0.1 to 58.93.255.25458.93.255.25565,534
9558.94.0.0/1658.94.0.1 to 58.94.255.25458.94.255.25565,534
9658.95.0.0/1658.95.0.1 to 58.95.255.25458.95.255.25565,534
9758.96.0.0/1658.96.0.1 to 58.96.255.25458.96.255.25565,534
9858.97.0.0/1658.97.0.1 to 58.97.255.25458.97.255.25565,534
9958.98.0.0/1658.98.0.1 to 58.98.255.25458.98.255.25565,534
10058.99.0.0/1658.99.0.1 to 58.99.255.25458.99.255.25565,534
10158.100.0.0/1658.100.0.1 to 58.100.255.25458.100.255.25565,534
10258.101.0.0/1658.101.0.1 to 58.101.255.25458.101.255.25565,534
10358.102.0.0/1658.102.0.1 to 58.102.255.25458.102.255.25565,534
10458.103.0.0/1658.103.0.1 to 58.103.255.25458.103.255.25565,534
10558.104.0.0/1658.104.0.1 to 58.104.255.25458.104.255.25565,534
10658.105.0.0/1658.105.0.1 to 58.105.255.25458.105.255.25565,534
10758.106.0.0/1658.106.0.1 to 58.106.255.25458.106.255.25565,534
10858.107.0.0/1658.107.0.1 to 58.107.255.25458.107.255.25565,534
10958.108.0.0/1658.108.0.1 to 58.108.255.25458.108.255.25565,534
11058.109.0.0/1658.109.0.1 to 58.109.255.25458.109.255.25565,534
11158.110.0.0/1658.110.0.1 to 58.110.255.25458.110.255.25565,534
11258.111.0.0/1658.111.0.1 to 58.111.255.25458.111.255.25565,534
11358.112.0.0/1658.112.0.1 to 58.112.255.25458.112.255.25565,534
11458.113.0.0/1658.113.0.1 to 58.113.255.25458.113.255.25565,534
11558.114.0.0/1658.114.0.1 to 58.114.255.25458.114.255.25565,534
11658.115.0.0/1658.115.0.1 to 58.115.255.25458.115.255.25565,534
11758.116.0.0/1658.116.0.1 to 58.116.255.25458.116.255.25565,534
11858.117.0.0/1658.117.0.1 to 58.117.255.25458.117.255.25565,534
11958.118.0.0/1658.118.0.1 to 58.118.255.25458.118.255.25565,534
12058.119.0.0/1658.119.0.1 to 58.119.255.25458.119.255.25565,534
12158.120.0.0/1658.120.0.1 to 58.120.255.25458.120.255.25565,534
12258.121.0.0/1658.121.0.1 to 58.121.255.25458.121.255.25565,534
12358.122.0.0/1658.122.0.1 to 58.122.255.25458.122.255.25565,534
12458.123.0.0/1658.123.0.1 to 58.123.255.25458.123.255.25565,534
12558.124.0.0/1658.124.0.1 to 58.124.255.25458.124.255.25565,534
12658.125.0.0/1658.125.0.1 to 58.125.255.25458.125.255.25565,534
12758.126.0.0/1658.126.0.1 to 58.126.255.25458.126.255.25565,534
12858.127.0.0/1658.127.0.1 to 58.127.255.25458.127.255.25565,534
12958.128.0.0/1658.128.0.1 to 58.128.255.25458.128.255.25565,534
13058.129.0.0/1658.129.0.1 to 58.129.255.25458.129.255.25565,534
13158.130.0.0/1658.130.0.1 to 58.130.255.25458.130.255.25565,534
13258.131.0.0/1658.131.0.1 to 58.131.255.25458.131.255.25565,534
13358.132.0.0/1658.132.0.1 to 58.132.255.25458.132.255.25565,534
13458.133.0.0/1658.133.0.1 to 58.133.255.25458.133.255.25565,534
13558.134.0.0/1658.134.0.1 to 58.134.255.25458.134.255.25565,534
13658.135.0.0/1658.135.0.1 to 58.135.255.25458.135.255.25565,534
13758.136.0.0/1658.136.0.1 to 58.136.255.25458.136.255.25565,534
13858.137.0.0/1658.137.0.1 to 58.137.255.25458.137.255.25565,534
13958.138.0.0/1658.138.0.1 to 58.138.255.25458.138.255.25565,534
14058.139.0.0/1658.139.0.1 to 58.139.255.25458.139.255.25565,534
14158.140.0.0/1658.140.0.1 to 58.140.255.25458.140.255.25565,534
14258.141.0.0/1658.141.0.1 to 58.141.255.25458.141.255.25565,534
14358.142.0.0/1658.142.0.1 to 58.142.255.25458.142.255.25565,534
14458.143.0.0/1658.143.0.1 to 58.143.255.25458.143.255.25565,534
14558.144.0.0/1658.144.0.1 to 58.144.255.25458.144.255.25565,534
14658.145.0.0/1658.145.0.1 to 58.145.255.25458.145.255.25565,534
14758.146.0.0/1658.146.0.1 to 58.146.255.25458.146.255.25565,534
14858.147.0.0/1658.147.0.1 to 58.147.255.25458.147.255.25565,534
14958.148.0.0/1658.148.0.1 to 58.148.255.25458.148.255.25565,534
15058.149.0.0/1658.149.0.1 to 58.149.255.25458.149.255.25565,534
15158.150.0.0/1658.150.0.1 to 58.150.255.25458.150.255.25565,534
15258.151.0.0/1658.151.0.1 to 58.151.255.25458.151.255.25565,534
15358.152.0.0/1658.152.0.1 to 58.152.255.25458.152.255.25565,534
15458.153.0.0/1658.153.0.1 to 58.153.255.25458.153.255.25565,534
15558.154.0.0/1658.154.0.1 to 58.154.255.25458.154.255.25565,534
15658.155.0.0/1658.155.0.1 to 58.155.255.25458.155.255.25565,534
15758.156.0.0/1658.156.0.1 to 58.156.255.25458.156.255.25565,534
15858.157.0.0/1658.157.0.1 to 58.157.255.25458.157.255.25565,534
15958.158.0.0/1658.158.0.1 to 58.158.255.25458.158.255.25565,534
16058.159.0.0/1658.159.0.1 to 58.159.255.25458.159.255.25565,534
16158.160.0.0/1658.160.0.1 to 58.160.255.25458.160.255.25565,534
16258.161.0.0/1658.161.0.1 to 58.161.255.25458.161.255.25565,534
16358.162.0.0/1658.162.0.1 to 58.162.255.25458.162.255.25565,534
16458.163.0.0/1658.163.0.1 to 58.163.255.25458.163.255.25565,534
16558.164.0.0/1658.164.0.1 to 58.164.255.25458.164.255.25565,534
16658.165.0.0/1658.165.0.1 to 58.165.255.25458.165.255.25565,534
16758.166.0.0/1658.166.0.1 to 58.166.255.25458.166.255.25565,534
16858.167.0.0/1658.167.0.1 to 58.167.255.25458.167.255.25565,534
16958.168.0.0/1658.168.0.1 to 58.168.255.25458.168.255.25565,534
17058.169.0.0/1658.169.0.1 to 58.169.255.25458.169.255.25565,534
17158.170.0.0/1658.170.0.1 to 58.170.255.25458.170.255.25565,534
17258.171.0.0/1658.171.0.1 to 58.171.255.25458.171.255.25565,534
17358.172.0.0/1658.172.0.1 to 58.172.255.25458.172.255.25565,534
17458.173.0.0/1658.173.0.1 to 58.173.255.25458.173.255.25565,534
17558.174.0.0/1658.174.0.1 to 58.174.255.25458.174.255.25565,534
17658.175.0.0/1658.175.0.1 to 58.175.255.25458.175.255.25565,534
17758.176.0.0/1658.176.0.1 to 58.176.255.25458.176.255.25565,534
17858.177.0.0/1658.177.0.1 to 58.177.255.25458.177.255.25565,534
17958.178.0.0/1658.178.0.1 to 58.178.255.25458.178.255.25565,534
18058.179.0.0/1658.179.0.1 to 58.179.255.25458.179.255.25565,534
18158.180.0.0/1658.180.0.1 to 58.180.255.25458.180.255.25565,534
18258.181.0.0/1658.181.0.1 to 58.181.255.25458.181.255.25565,534
18358.182.0.0/1658.182.0.1 to 58.182.255.25458.182.255.25565,534
18458.183.0.0/1658.183.0.1 to 58.183.255.25458.183.255.25565,534
18558.184.0.0/1658.184.0.1 to 58.184.255.25458.184.255.25565,534
18658.185.0.0/1658.185.0.1 to 58.185.255.25458.185.255.25565,534
18758.186.0.0/1658.186.0.1 to 58.186.255.25458.186.255.25565,534
18858.187.0.0/1658.187.0.1 to 58.187.255.25458.187.255.25565,534
18958.188.0.0/1658.188.0.1 to 58.188.255.25458.188.255.25565,534
19058.189.0.0/1658.189.0.1 to 58.189.255.25458.189.255.25565,534
19158.190.0.0/1658.190.0.1 to 58.190.255.25458.190.255.25565,534
19258.191.0.0/1658.191.0.1 to 58.191.255.25458.191.255.25565,534
19358.192.0.0/1658.192.0.1 to 58.192.255.25458.192.255.25565,534
19458.193.0.0/1658.193.0.1 to 58.193.255.25458.193.255.25565,534
19558.194.0.0/1658.194.0.1 to 58.194.255.25458.194.255.25565,534
19658.195.0.0/1658.195.0.1 to 58.195.255.25458.195.255.25565,534
19758.196.0.0/1658.196.0.1 to 58.196.255.25458.196.255.25565,534
19858.197.0.0/1658.197.0.1 to 58.197.255.25458.197.255.25565,534
19958.198.0.0/1658.198.0.1 to 58.198.255.25458.198.255.25565,534
20058.199.0.0/1658.199.0.1 to 58.199.255.25458.199.255.25565,534
20158.200.0.0/1658.200.0.1 to 58.200.255.25458.200.255.25565,534
20258.201.0.0/1658.201.0.1 to 58.201.255.25458.201.255.25565,534
20358.202.0.0/1658.202.0.1 to 58.202.255.25458.202.255.25565,534
20458.203.0.0/1658.203.0.1 to 58.203.255.25458.203.255.25565,534
20558.204.0.0/1658.204.0.1 to 58.204.255.25458.204.255.25565,534
20658.205.0.0/1658.205.0.1 to 58.205.255.25458.205.255.25565,534
20758.206.0.0/1658.206.0.1 to 58.206.255.25458.206.255.25565,534
20858.207.0.0/1658.207.0.1 to 58.207.255.25458.207.255.25565,534
20958.208.0.0/1658.208.0.1 to 58.208.255.25458.208.255.25565,534
21058.209.0.0/1658.209.0.1 to 58.209.255.25458.209.255.25565,534
21158.210.0.0/1658.210.0.1 to 58.210.255.25458.210.255.25565,534
21258.211.0.0/1658.211.0.1 to 58.211.255.25458.211.255.25565,534
21358.212.0.0/1658.212.0.1 to 58.212.255.25458.212.255.25565,534
21458.213.0.0/1658.213.0.1 to 58.213.255.25458.213.255.25565,534
21558.214.0.0/1658.214.0.1 to 58.214.255.25458.214.255.25565,534
21658.215.0.0/1658.215.0.1 to 58.215.255.25458.215.255.25565,534
21758.216.0.0/1658.216.0.1 to 58.216.255.25458.216.255.25565,534
21858.217.0.0/1658.217.0.1 to 58.217.255.25458.217.255.25565,534
21958.218.0.0/1658.218.0.1 to 58.218.255.25458.218.255.25565,534
22058.219.0.0/1658.219.0.1 to 58.219.255.25458.219.255.25565,534
22158.220.0.0/1658.220.0.1 to 58.220.255.25458.220.255.25565,534
22258.221.0.0/1658.221.0.1 to 58.221.255.25458.221.255.25565,534
22358.222.0.0/1658.222.0.1 to 58.222.255.25458.222.255.25565,534
22458.223.0.0/1658.223.0.1 to 58.223.255.25458.223.255.25565,534
22558.224.0.0/1658.224.0.1 to 58.224.255.25458.224.255.25565,534
22658.225.0.0/1658.225.0.1 to 58.225.255.25458.225.255.25565,534
22758.226.0.0/1658.226.0.1 to 58.226.255.25458.226.255.25565,534
22858.227.0.0/1658.227.0.1 to 58.227.255.25458.227.255.25565,534
22958.228.0.0/1658.228.0.1 to 58.228.255.25458.228.255.25565,534
23058.229.0.0/1658.229.0.1 to 58.229.255.25458.229.255.25565,534
23158.230.0.0/1658.230.0.1 to 58.230.255.25458.230.255.25565,534
23258.231.0.0/1658.231.0.1 to 58.231.255.25458.231.255.25565,534
23358.232.0.0/1658.232.0.1 to 58.232.255.25458.232.255.25565,534
23458.233.0.0/1658.233.0.1 to 58.233.255.25458.233.255.25565,534
23558.234.0.0/1658.234.0.1 to 58.234.255.25458.234.255.25565,534
23658.235.0.0/1658.235.0.1 to 58.235.255.25458.235.255.25565,534
23758.236.0.0/1658.236.0.1 to 58.236.255.25458.236.255.25565,534
23858.237.0.0/1658.237.0.1 to 58.237.255.25458.237.255.25565,534
23958.238.0.0/1658.238.0.1 to 58.238.255.25458.238.255.25565,534
24058.239.0.0/1658.239.0.1 to 58.239.255.25458.239.255.25565,534
24158.240.0.0/1658.240.0.1 to 58.240.255.25458.240.255.25565,534
24258.241.0.0/1658.241.0.1 to 58.241.255.25458.241.255.25565,534
24358.242.0.0/1658.242.0.1 to 58.242.255.25458.242.255.25565,534
24458.243.0.0/1658.243.0.1 to 58.243.255.25458.243.255.25565,534
24558.244.0.0/1658.244.0.1 to 58.244.255.25458.244.255.25565,534
24658.245.0.0/1658.245.0.1 to 58.245.255.25458.245.255.25565,534
24758.246.0.0/1658.246.0.1 to 58.246.255.25458.246.255.25565,534
24858.247.0.0/1658.247.0.1 to 58.247.255.25458.247.255.25565,534
24958.248.0.0/1658.248.0.1 to 58.248.255.25458.248.255.25565,534
25058.249.0.0/1658.249.0.1 to 58.249.255.25458.249.255.25565,534
25158.250.0.0/1658.250.0.1 to 58.250.255.25458.250.255.25565,534
25258.251.0.0/1658.251.0.1 to 58.251.255.25458.251.255.25565,534
25358.252.0.0/1658.252.0.1 to 58.252.255.25458.252.255.25565,534
25458.253.0.0/1658.253.0.1 to 58.253.255.25458.253.255.25565,534
25558.254.0.0/1658.254.0.1 to 58.254.255.25458.254.255.25565,534
25658.255.0.0/1658.255.0.1 to 58.255.255.25458.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses